uk.gov.hmrc.extentreport

# ExtentCucumberFormatter

###
Related Docs: class ExtentCucumberFormatter | package extentreport

#### object ExtentCucumberFormatter extends ExtentCucumberFormatter

Linear Supertypes
ExtentCucumberFormatter, Formatter, Closeable, AutoCloseable, Reporter, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtentCucumberFormatter
2. ExtentCucumberFormatter
3. Formatter
4. Closeable
5. AutoCloseable
6. Reporter
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def after(match: Match, result: Result): Unit

   Definition Classes
     ExtentCucumberFormatter → Reporter

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def background(background: Background): Unit

   Definition Classes
     ExtentCucumberFormatter → Formatter

7. #### def before(match: Match, result: Result): Unit

   Definition Classes
     ExtentCucumberFormatter → Reporter

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def close(): Unit

   Definition Classes
     ExtentCucumberFormatter → Formatter → Closeable → AutoCloseable

10. #### def done(): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

11. #### def embedding(mimeType: String, data: Array[Byte]): Unit

    Definition Classes
      ExtentCucumberFormatter → Reporter

12. #### def endOfScenarioLifeCycle(scenario: Scenario): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

13. #### def eof(): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def examples(examples: Examples): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

17. #### def feature(feature: Feature): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

18. #### val featureTestThreadLocal: InheritableThreadLocal[ExtentTest]

    Definition Classes
      ExtentCucumberFormatter

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def getExtentHtmlReport: ExtentHtmlReporter

    Definition Classes
      ExtentCucumberFormatter

22. #### def getExtentReport: ExtentReports

    Definition Classes
      ExtentCucumberFormatter

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def match(match: Match): Unit

    Definition Classes
      ExtentCucumberFormatter → Reporter

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def result(result: Result): Unit

    Definition Classes
      ExtentCucumberFormatter → Reporter

30. #### def scenario(scenario: Scenario): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

31. #### var scenarioName: String

    Definition Classes
      ExtentCucumberFormatter

32. #### def scenarioOutline(scenarioOutline: ScenarioOutline): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

33. #### val scenarioThreadLocal: InheritableThreadLocal[ExtentTest]

    Definition Classes
      ExtentCucumberFormatter

34. #### def screenShot(result: Result): Option[File]

    Definition Classes
      ExtentCucumberFormatter

35. #### def startOfScenarioLifeCycle(scenario: Scenario): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

36. #### def step(step: Step): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

37. #### val stepTestThreadLocal: InheritableThreadLocal[ExtentTest]

    Definition Classes
      ExtentCucumberFormatter

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def syntaxError(state: String, event: String, legalEvents: List[String], uri: String, line: Integer): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### def uri(uri: String): Unit

    Definition Classes
      ExtentCucumberFormatter → Formatter

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### var webDriver: WebDriver

    Definition Classes
      ExtentCucumberFormatter

46. #### def write(text: String): Unit

    Definition Classes
      ExtentCucumberFormatter → Reporter

### Inherited from ExtentCucumberFormatter

### Inherited from Formatter

### Inherited from Closeable

### Inherited from AutoCloseable

### Inherited from Reporter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped